Subject: Re: linux-next: Fixes tag needs some work in the v4l-dvb-fixes tree

From: Kalle Valo <[email-masked]>
Date: Mon, 17 Jul 2023 18:58:28 +0300

Sakari Ailus <[email-masked]> writes:

> On Fri, Jul 14, 2023 at 08:38:25AM +1000, Stephen Rothwell wrote:
>> Hi all,
>> 
>> In commit
>> 
>>   b0b43354c345 ("media: tc358746: Address compiler warnings")
>> 
>> Fixes tag
>> 
>>   Fixes: 80a21da3605 ("media: tc358746: add Toshiba TC358746 Parallel to CSI-2 bridge driver")
>> 
>> has these problem(s):
>> 
>>   - SHA1 should be at least 12 digits long
>>     This can be fixed for the future by setting core.abbrev to 12 (or
>>     more) or (for git v2.11 or later) just making sure it is not set
>>     (or set to "auto").
>> 
>> Also, please keep all the commit message tags together at the end of
>> the commit message.
>
> Apologies for this, I guess I've removed one character too many from the
> hash.
>
> I'll switch to a script (or alias) to do this. It'd be, though, helpful if
> git could do this on its own.

Are you asking for git to create the Fixes tag? The documentation has
has a tip using --pretty=fixes which is quite handy:

https://docs.kernel.org/process/submitting-patches.html#describe-your-changes

-- 
https://patchwork.kernel.org/project/linux-wireless/list/

https://wireless.wiki.kernel.org/en/developers/documentation/submittingpatches